[Package]
Win9X=AGP\Setup\setup.exe 
Win2K&XP=AGP\Setup\setup.exe
Title=AGP Installation
Description=Installation wizard will guide you through all AGP install.

;;;;;;;;;;;;
; New spec.  System SW release version R1.00.00
;;;;;;;;;;;;

[Start]
"[USB]"

[USB]
WriteReg="[RegWrite.USB]", "%OS_XP%"
WriteReg="[RegWrite.MPS3]", "%OS_ME%"
CopyFile="[FileCopy.USB]"
Execute="[Execute.USB]"

[Execute.USB]
"%Src1%\Usb\Win2K_XP\WinXPUSB\SiSUSBrg.exe","%OS_XP%"
"%Src1%\Usb\Win9x\SiSFiles\MP_S3.exe", "%OS_ME%"

[RegWrite.USB]
"%RegRun%", "SiSUSBRG", STRING, "%WinDir%\SiSUSBrg.exe"

[RegWrite.MPS3]
"%RegRun%", "SiSAudio", STRING, "%WinDir%\system\MP_S3.exe"

[FileCopy.USB]
"SiSUSBrg.exe", "%Src1%\Usb\Win2K_XP\WinXPUSB", "%WinDir%", "%OS_XP%"
"SIS_LIB.DLL", "%Src1%\Usb\Win2K_XP\WinXPUSB", "%WinDir%", "%OS_XP%"
"SiSport.sys", "%Src1%\Usb\Win2K_XP\WinXPUSB", "%WinDir%", "%OS_XP%"
"openhci.sys", "%Src1%\Usb\Win9x\SiSFiles", "%WinDir%\system32\drivers", "%OS_98SE%"
"MP_S3.exe", "%Src1%\Usb\Win9x\SiSFiles", "%WinDir%\system", "%OS_ME%"

[Constant]
Src1=@SiS_SRCDIR
OS_XP = SiS_WinXP
OS_NT = "SiS_Win2000, SiS_WinXP"
OS_98SE = SiS_Win98SE
OS_ME = SiS_WinME
RegRun = HKLM\Software\Microsoft\Windows\CurrentVersion\Run
WinDir = @SiS_WINDIR


